## translationplugin 0.1

=== Makefile ===
#############################################################################
# Makefile for building: libTranslatePlugin2.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Oct 2 16:13:04 2010
# Project:  translationplugin.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile translationplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/local/include/office -I/targets/FREMANTLE_ARMEL/usr/include/office -Ibuild
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lcurl -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/

####### Files

SOURCES       = TranslatePlugin.cpp \
		TextTranslate.cpp \
		CurlRequest.cpp build/moc_TranslatePlugin.cpp \
		build/moc_TextTranslate.cpp
OBJECTS       = build/TranslatePlugin.o \
		build/TextTranslate.o \
		build/CurlRequest.o \
		build/moc_TranslatePlugin.o \
		build/moc_TextTranslate.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		translationplugin.pro
QMAKE_TARGET  = TranslatePlugin2
DESTDIR       = build/
TARGET        = libTranslatePlugin2.so
TARGETD       = libTranslatePlugin2.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  build/$(TARGET)

build/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) build/ || $(MKDIR) build/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) build/



Makefile: translationplugin.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile translationplugin.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile translationplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) build/TranslatePlugin21.0.0 || $(MKDIR) build/TranslatePlugin21.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/TranslatePlugin21.0.0/ && $(COPY_FILE) --parents TranslatePlugin.h TextTranslate.h CurlRequest.h build/TranslatePlugin21.0.0/ && $(COPY_FILE) --parents TranslatePlugin.cpp TextTranslate.cpp CurlRequest.cpp build/TranslatePlugin21.0.0/ && (cd `dirname build/TranslatePlugin21.0.0` && $(TAR) TranslatePlugin21.0.0.tar TranslatePlugin21.0.0 && $(COMPRESS) TranslatePlugin21.0.0.tar) && $(MOVE) `dirname build/TranslatePlugin21.0.0`/TranslatePlugin21.0.0.tar.gz . && $(DEL_FILE) -r build/TranslatePlugin21.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: build/moc_TranslatePlugin.cpp build/moc_TextTranslate.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) build/moc_TranslatePlugin.cpp build/moc_TextTranslate.cpp
build/moc_TranslatePlugin.cpp: OfficeInterface.h \
		TextTranslate.h \
		CurlRequest.h \
		TranslatePlugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) TranslatePlugin.h -o build/moc_TranslatePlugin.cpp

build/moc_TextTranslate.cpp: CurlRequest.h \
		TextTranslate.h
	/usr/bin/moc $(DEFINES) $(INCPATH) TextTranslate.h -o build/moc_TextTranslate.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

build/TranslatePlugin.o: TranslatePlugin.cpp TranslatePlugin.h \
		OfficeInterface.h \
		TextTranslate.h \
		CurlRequest.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/TranslatePlugin.o TranslatePlugin.cpp

build/TextTranslate.o: TextTranslate.cpp TextTranslate.h \
		CurlRequest.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/TextTranslate.o TextTranslate.cpp

build/CurlRequest.o: CurlRequest.cpp CurlRequest.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/CurlRequest.o CurlRequest.cpp

build/moc_TranslatePlugin.o: build/moc_TranslatePlugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_TranslatePlugin.o build/moc_TranslatePlugin.cpp

build/moc_TextTranslate.o: build/moc_TextTranslate.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_TextTranslate.o build/moc_TextTranslate.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/freoffice/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/freoffice/ 
	-$(INSTALL_PROGRAM) "build/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/freoffice/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/lib/freoffice/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/freoffice/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/freoffice/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
translationplugin (0.1) unstable; urgency=low

  * Initial Release.

 -- Afaque Hussian <afaquejam@gmail.com>  Tue, 28 Sep 2010 16:08:53 +0530

=== debian/control ===
Source: translationplugin
Section: user/office
Priority: extra
Maintainer: Afaque Hussain <afaquejam@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, freoffice-dev (>= 0.2-7), libxi-dev, kofficemeego-dev (>= 2.2.0-9), libcurl3-dev
Standards-Version: 3.7.3
Homepage: <insert the upstream URL, if relevant>

Package: translationplugin
Architecture: any
Depends:${shlibs:Depends}, ${misc:Depends}, freoffice (>=0.2-7), kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9)
Description: Translation Plugin for Fremantle Office.
 Supports Transalation of 58 languages.Soon,Transaltion for 108 Languages will be available.
# XB-Maemo-Icon-26 field contains the application icon file encoded in
# base64. This is the icon that is shown in the Application Manager,
# next to the package name. To perform this encoding use following mad
# command: $ mad base64 <48x48 icon file name>
# For example following XB-Maemo-Icon-26 field content is an output
# from command: $ mad base64 translationplugin/src/data/48x48/translationplugin.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACgAAAAoCAYAAACM/rhtAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oJHgo3M+Dnk8AAAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAAD+UlEQVRYw9WYz4scRRTHP6+7dmc22U2yGDFL
 XCHBrCgS9JAgiIQQ8CqIV0G8xZv6F/gH+Bd4DIugNz1I8CKYix5y8KLXENCFgMguQbe7p56H/jHV
 3VXVPTNZiXWY6fr1XtV73/etVyVHP36vLFqk+vfM1MAQYblitMg5iaID9dELZMwCfWbQgbpPRsCs
 salG85Ox4KoWby1QfAMEREG7nU5dBFR1GGHVnJaoWr47TKr6/Kd0sTa7KJW5nlDPXsX50t7qQao2
 rWpSye2O1VaLOO7WSotitMgaheKBi0Rc0bKdtjEVCnaft7p6XbmGPPf6X0dgRZfAVazNJ3seJBKQ
 Iv2tqdOvMoIAB+S5/115o3lwZi37934mTZPlolSV3We2ufHy3gnwIHCcZXx852sn4qQxiNW+4+p+
 dfpuvnKFG1cuLbhAhwdjfCx50bR9dPNNrl3aRVXZnEz49KtvePjnX83CPnvnbZ7fPkeSCI8OH/P5
 3R84ODximqbUtDaWG43Nc6QmvIqYLFJhQhGp6MCx9AdvvM7lZ7cbQjk7nfDQEXtr7zIvXThf9it8
 +dN9Dg6PwFrIc2yDO+3AtgZiSYqCYiiycSdatcDzp08xwVIHl3TcCJBnx63+i2c3uV+NU0ffUA6i
 viAJHvJFwc6ZTV67eIGNBLRwTqAuBmdFsyEFru3u8Osfj9jZOoV7MAy5VwAjnbNYAruaAr988qFj
 ptwN0fakvGj1375+ldvXr5ZDs6wJoDEZnbGxKB6ZsbRcrGBnBV65Lo/KiAyoG8XLpyIdCxY5PKEs
 ydRYGsrLIuTfR+6swJUbSy99xtSGHwSDtSWt1KTbUU2TkZR90mQlgq2FdtanFrBaZSviwZY7X7GV
 /Hp8qascZ9Lv7qzsBjlq19N735JOF7vihI5uk2ykC+TtAccns1ZrMk1INmQhmeL9Vkwy0V4yGgpe
 Dey9yxqypiSTeFIWS3pcbJtkXYMZs4s/vGjSeS7vWnBNSdZj9C9eXb5vk67LAkgJtIt2FijE5Y6/
 LfcsqJH0X0O7DViwj775vUQ6Ev1IlS4Gx8SZp97F4DqE5S6mzyQdV/QDRBvSdO96qnD3AB48ht//
 ac//4gHceg72tuDVc31pMsgM87CU4v2hLfnjN7ewsQ+TBE4bSBytf8/K/ndfgP23+pSvQZV9XaYd
 beNdMgF+ey8O86210t0SZYm4LmM1EqxhAgTgxTPzm50ExthlX40qvSY75qkuJs/i2QqRW3/o4SqW
 6g3N712annoL/i8WOPRcG3q58MWRjJAjIx6U6naTr2JBWeFt90m4OHYGa8ASXkt5BoqOO/yaBcqC
 D1QE7yceODgPBqEX15DbV3Pxf1D+BSkk89OaCydDAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	qmake
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/translationplugin.sgml > translationplugin.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/translationplugin.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/translationplugin install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## translationplugin 0.2

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: libTranslatePlugin2.so
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sat Oct 2 16:13:04 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jan 29 19:09:29 2011
 # Project:  translationplugin.pro
 # Template: lib
-# Command: /usr/bin/qmake -unix -o Makefile translationplugin.pro
+# Command: /usr/bin/qmake -o Makefile translationplugin.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -15,8 +15,8 @@
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/local/include/office -I/targets/FREMANTLE_ARMEL/usr/include/office -Ibuild
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared
-LIBS          = $(SUBLIBS)  -L/usr/lib -lcurl -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared
+LIBS          = $(SUBLIBS)  -L/usr/lib -lcurl -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -55,6 +55,7 @@
 DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -110,6 +111,7 @@
 Makefile: translationplugin.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -125,11 +127,14 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
 		/usr/lib/libQtGui.prl \
+		/usr/lib/libQtDBus.prl \
+		/usr/lib/libQtXml.prl \
 		/usr/lib/libQtCore.prl
-	$(QMAKE) -unix -o Makefile translationplugin.pro
+	$(QMAKE) -o Makefile translationplugin.pro
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
+/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
@@ -145,9 +150,11 @@
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
 /usr/lib/libQtGui.prl:
+/usr/lib/libQtDBus.prl:
+/usr/lib/libQtXml.prl:
 /usr/lib/libQtCore.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix -o Makefile translationplugin.pro
+	@$(QMAKE) -o Makefile translationplugin.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) build/TranslatePlugin21.0.0 || $(MKDIR) build/TranslatePlugin21.0.0 
@@ -176,6 +183,8 @@
 
 compiler_clean:
 	-$(DEL_FILE) $(TARGET)
+
+check: first
 
 mocclean: compiler_moc_header_clean compiler_moc_source_clean

=== debian/changelog ===
translationplugin (0.2) stable; urgency=low

  * Fixed Crashing Issues in latest FreOffice.

 -- Afaque Hussain <afaquejam@gmail.com>  Fri, 28 Jan 2011 21:38:12 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: translationplugin
 Architecture: any
-Depends:${shlibs:Depends}, ${misc:Depends}, freoffice (>=0.2-7), kofficemeego (>= 2.2.0-9), koffice-kchart (>= 2.2.0-9)
+Depends: ${shlibs:Depends}, ${misc:Depends}, freoffice (>= 0.2-7)
 Description: Translation Plugin for Fremantle Office.
  Supports Transalation of 58 languages.Soon,Transaltion for 108 Languages will be available.
 # XB-Maemo-Icon-26 field contains the application icon file encoded in

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := translationplugin
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## translationplugin 0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libTranslatePlugin2.so
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Jan 29 19:09:29 2011
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Feb 10 12:40:10 2011
 # Project:  translationplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake -o Makefile translationplugin.pro
@@ -16,7 +16,7 @@
 INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/local/include/office -I/targets/FREMANTLE_ARMEL/usr/include/office -Ibuild
 LINK          = g++
 LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared
-LIBS          = $(SUBLIBS)  -L/usr/lib -lcurl -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
+LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -44,12 +44,10 @@
 ####### Files
 
 SOURCES       = TranslatePlugin.cpp \
-		TextTranslate.cpp \
-		CurlRequest.cpp build/moc_TranslatePlugin.cpp \
+		TextTranslate.cpp build/moc_TranslatePlugin.cpp \
 		build/moc_TextTranslate.cpp
 OBJECTS       = build/TranslatePlugin.o \
 		build/TextTranslate.o \
-		build/CurlRequest.o \
 		build/moc_TranslatePlugin.o \
 		build/moc_TextTranslate.o
 DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
@@ -158,7 +156,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) build/TranslatePlugin21.0.0 || $(MKDIR) build/TranslatePlugin21.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/TranslatePlugin21.0.0/ && $(COPY_FILE) --parents TranslatePlugin.h TextTranslate.h CurlRequest.h build/TranslatePlugin21.0.0/ && $(COPY_FILE) --parents TranslatePlugin.cpp TextTranslate.cpp CurlRequest.cpp build/TranslatePlugin21.0.0/ && (cd `dirname build/TranslatePlugin21.0.0` && $(TAR) TranslatePlugin21.0.0.tar TranslatePlugin21.0.0 && $(COMPRESS) TranslatePlugin21.0.0.tar) && $(MOVE) `dirname build/TranslatePlugin21.0.0`/TranslatePlugin21.0.0.tar.gz . && $(DEL_FILE) -r build/TranslatePlugin21.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) build/TranslatePlugin21.0.0/ && $(COPY_FILE) --parents TranslatePlugin.h TextTranslate.h build/TranslatePlugin21.0.0/ && $(COPY_FILE) --parents TranslatePlugin.cpp TextTranslate.cpp build/TranslatePlugin21.0.0/ && (cd `dirname build/TranslatePlugin21.0.0` && $(TAR) TranslatePlugin21.0.0.tar TranslatePlugin21.0.0 && $(COMPRESS) TranslatePlugin21.0.0.tar) && $(MOVE) `dirname build/TranslatePlugin21.0.0`/TranslatePlugin21.0.0.tar.gz . && $(DEL_FILE) -r build/TranslatePlugin21.0.0
 
 
 clean:compiler_clean 
@@ -195,12 +193,10 @@
 	-$(DEL_FILE) build/moc_TranslatePlugin.cpp build/moc_TextTranslate.cpp
 build/moc_TranslatePlugin.cpp: OfficeInterface.h \
 		TextTranslate.h \
-		CurlRequest.h \
 		TranslatePlugin.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) TranslatePlugin.h -o build/moc_TranslatePlugin.cpp
 
-build/moc_TextTranslate.cpp: CurlRequest.h \
-		TextTranslate.h
+build/moc_TextTranslate.cpp: TextTranslate.h
 	/usr/bin/moc $(DEFINES) $(INCPATH) TextTranslate.h -o build/moc_TextTranslate.cpp
 
 compiler_rcc_make_all:
@@ -224,16 +220,11 @@
 
 build/TranslatePlugin.o: TranslatePlugin.cpp TranslatePlugin.h \
 		OfficeInterface.h \
-		TextTranslate.h \
-		CurlRequest.h
+		TextTranslate.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/TranslatePlugin.o TranslatePlugin.cpp
 
-build/TextTranslate.o: TextTranslate.cpp TextTranslate.h \
-		CurlRequest.h
+build/TextTranslate.o: TextTranslate.cpp TextTranslate.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/TextTranslate.o TextTranslate.cpp
-
-build/CurlRequest.o: CurlRequest.cpp CurlRequest.h
-	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/CurlRequest.o CurlRequest.cpp
 
 build/moc_TranslatePlugin.o: build/moc_TranslatePlugin.cpp 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o build/moc_TranslatePlugin.o build/moc_TranslatePlugin.cpp

=== debian/changelog ===
translationplugin (0.3) stable; urgency=low

  * Fixed Korean Language Bug.
  * Curl dependancy removed.
  * Code Simplified.

 -- Afaque Hussain <afaquejam@gmail.com>  Tue, 01 Feb 2011 18:43:10 +0530

=== debian/control ===
Source: translationplugin
Section: user/office
Priority: extra
Maintainer: Afaque Hussain <afaquejam@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, freoffice-dev (>= 0.2-7), libxi-dev, kofficemeego-dev (>= 2.2.0-9)
Standards-Version: 3.7.3


Package: translationplugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},freoffice (>= 0.2-7)
Description: Translation Plugin for Fremantle Office.
 Supports Transalation of 58 languages.Soon,Transaltion for 108 Languages will be available.
# XB-Maemo-Icon-26 field contains the application icon file encoded in
# base64. This is the icon that is shown in the Application Manager,
# next to the package name. To perform this encoding use following mad
# command: $ mad base64 <48x48 icon file name>
# For example following XB-Maemo-Icon-26 field content is an output
# from command: $ mad base64 translationplugin/data/48x48/translationplugin.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oBGQ0SFuv48p0AAAAZdEVYdENv
 bW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVBXgQ4XAAACp0lEQVRo3u2Yz0tVURDHv08dK4r2GUmWELSI
 sMCCSHdluS0QIWtXVIt20Z/QPm1R0D5a92OnRAqKllRkP6BFEQhZSIr1wffazIXD9d5nT6+ZdL4w
 3HNn7vnOmTk/3rwjRUREREQUCeA8UHHpK4Av4eoJdD2Jfi0CGA6cPiswgA+AAY3eLiSAupSzA5KO
 SHoh6bWko64LB5LIG6BtOVuATZIuujRWCbQCLACjwLEc/hngcla2+oFpoBnYD8wBt1IkJ4Aub4/X
 YOtz7mngXN4MAPXAIbe/T3GcAfZ5e1aSSkHHbZI+S9qe4pyV1CTpR5DJkqQFSZhZYzCQarZ6SWOS
 KpIOSypLkpmV3P8VSdckNUtq8D4VM6sLOBrMbDF5N7NSQzDQHh/8kJl1OOmgpONuS9ARLL1XqWBz
 bWZWltQWJCyd/JuStkg66M/hMMHOsVhts4351PQGul7XjWWsw6kqe2CJLW/NB+/Xga9prpxvaz8A
 qnVasyOx1lMoIiJi5Rt5vRA38YZdQsBO4D7wLaXfAzz0OmoOeAS01FSU/aUAnvr7VaAx+GYko7Ab
 Wa4oWylKtQaQFFHAL0kmaauZzQff4MVYtcJuSVG2Hpt41J8XAAv040Fh1+ntiT8uyv7iEtoFPAC+
 p/StwGNg3uUJsLewoiwiIiJiQ5UONzKOvi5g3O9uFoAJoPuf8+MEnzKIZ1zXFtzfzKxi8KvyU5dD
 2irpnqSzGeZ3/iwndzuSpjI4brvT00C3tweK9pOXlZfApZxfzxbgbeoKZXcGhwFDwBeXwVTJUYif
 5S5ks+5oJjOmdjKHpz3o374WfjKXkJmVEgl13mwKpjbJ2I6MwW2WNCDpo0u/6wr1U/P/YOAU8Bz4
 6TIBnMzodxcoA50uZeBO0X4iIiIiIv5v/AZU3LjyjeB2pwAAAABJRU5ErkJggg==

=== debian/rules ===
--- 
+++ 
@@ -9,31 +9,37 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-APPNAME := translationplugin
-builddir:
-	mkdir -p builddir
 
-builddir/Makefile: builddir
-	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
+
+PACKAGE = translationplugin
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	qmake
+	touch configure-stamp
+
 
 build: build-stamp
 
-build-stamp: builddir/Makefile
+build-stamp: configure-stamp  
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cd builddir && $(MAKE)
-	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1
+	$(MAKE)
+	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1
 
 	touch $@
 
-clean:
+clean: 
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	rm -rf builddir
+	-$(MAKE) clean
 
 	dh_clean 
 
@@ -43,8 +49,8 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into debian/arora.
-	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
+	# Add here commands to install the package into debian/$(PACKAGE).
+	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/$(PACKAGE) install
 
 
 # Build architecture-independent files here.
@@ -55,13 +61,27 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
+	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
+#	dh_install
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_python
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
 	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
+#	dh_perl
+#	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
